package cn.estsh.i3plus.pojo.model.softswitch;

import cn.estsh.i3plus.pojo.base.annotation.XStreamCDATA;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-7-25 下午3:31
 * @Modify:
 **/
@Data
@XStreamAlias("request")
public class Request{

    @XStreamAsAttribute
    private Long id;
    @XStreamAsAttribute
    private Integer requestType;
    private String requestPath;

    @XStreamCDATA
    private String result;

    public Request(Long id, Integer requestType,String requestPath) {
        this.id = id;
        this.requestType = requestType;
        this.requestPath = requestPath;
    }
}