package cn.estsh.i3plus.pojo.model.softswitch;

import cn.estsh.i3plus.pojo.base.annotation.XStreamCDATA;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-7-25 下午3:29
 * @Modify:
 **/
@Data
@XStreamAlias("model")
public class SuitCoreModel {

    @XStreamAsAttribute
    private Long id;
    @XStreamAsAttribute
    private Integer caseType;
    private String suitCaseStatusCode;
    private String suitCaseMessage;

    private String key;
    private PojoAuth auth;
    private Request request;

    @XStreamCDATA
    private String responseResult;

    public SuitCoreModel(Long id, Integer caseType, String suitCaseStatusCode, String key, PojoAuth auth, Request request) {
        this.id = id;
        this.caseType = caseType;
        this.suitCaseStatusCode = suitCaseStatusCode;
        this.key = key;
        this.auth = auth;
        this.request = request;
    }
}



