package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 非JIS发运
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-20 13:24
 * @Modify:
 **/
@Data
@Api(value="非JIS发运",description = "非JIS发运")
public class SapDn extends SapBase{

    @ApiParam(value = "销售交货单号",example = "1")
    @AnnoOutputColumn
    private String vbeln;

    @ApiParam(value = "行项目",example = "1")
    @AnnoOutputColumn
    private Integer posnr;

    @ApiParam(value = "发货工厂",example = "1")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "发货库存地",example = "1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "计划交货日期",example = "1")
    @AnnoOutputColumn
    private String lfdat;

    @ApiParam(value = "客户编码",example = "1")
    @AnnoOutputColumn
    private String kunnr;

    @ApiParam(value = "物料号",example = "1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "客户物料号",example = "1")
    @AnnoOutputColumn
    private String kdmat = "";

    @ApiParam(value = "交货数量",example = "1")
    @AnnoOutputColumn
    private String lfimg;

    @ApiParam(value = "单位",example = "1")
    @AnnoOutputColumn
    private String meins;

}
